package org.gcube.portlets.user.acceptinvite;

import org.gcube.portal.event.publisher.lr62.PortalEvent;

import com.liferay.portal.security.auth.DefaultScreenNameGenerator;

public class CreateUserAccountEvent extends PortalEvent {

	private static final long serialVersionUID = 1L;
	 public static final String EVENT_NAME = "invitation-accepted";

	private String firstname;
	private String surname;
	private String email;
	private String tempPwd;
	private String username;
	
	public CreateUserAccountEvent(String username, String firstname, String surname, String email, String tempPwd) {
		super(EVENT_NAME);
		DefaultScreenNameGenerator gen = new DefaultScreenNameGenerator();
	//	gen.generate(companyId, userId, emailAddress)
		this.username = username;
		this.firstname = firstname;
		this.surname = surname;
		this.email = email;
		this.tempPwd = tempPwd;
	}
	
	public String getFirstname() {
		return firstname;
	}
	public String getSurname() {
		return surname;
	}
	public String getEmail() {
		return email;
	}
	public String getTempPwd() {
		return tempPwd;
	}
	public String getUsername() {
		return username;
	}	
}
